using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Models
{
    [Serializable()]
    public class Reviews
    {
        private int revi_id;
        private int userid;
        private int invitationid;
        private string revi_contents;
        private DateTime submit_date;
        private string invi_title;
        private string username;
        private User user;
        private int invi_click;
        private string userimage;

        public string Userimage
        {
            get { return this.userimage; }
            set { this.userimage = value; }
        }

        public Reviews() { }

        public int Revi_id
        {
            get { return this.revi_id; }
            set { this.revi_id = value; }
        }
        public int Userid
        {
            get { return this.userid; }
            set { this.userid = value; }

        }
        public int Invitationid
        {
            get { return this.invitationid; }
            set { this.invitationid = value; }
        }
        public string Revi_contents
        {
            get { return this.revi_contents; }
            set { this.revi_contents = value; }
        }
        public DateTime Submit_date
        {
            get { return this.submit_date; }
            set { this.submit_date = value; }
        }
        public string Invi_title
        {
            get { return this.invi_title; }
            set { this.invi_title = value; }
        }
        public string Username
        {
            get { return this.username; }
            set { this.username = value; }

        }
        public User Users
        {
            get { return this.user; }
            set { this.user = value; }
        }
        public int Invi_click
        {
            get { return this.invi_click; }
            set { this.invi_click = value; }
        }
    }
}
